package com.persagy.adm.diagram.core.model.logic;

/**
 * or条件
 * @author zhaoyk
 */
public class OrFilter extends LogicFilter {

	public OrFilter(){
		this.type = TYPE_OR;
	}

	@Override
	protected boolean judge(Object data) {
		for(DataFilter item : items) {
			if(!item.filter(data)) {
				return true;
			}
		}
		return false;
	}
	
}
